<div>
    <mat-toolbar color="accent" fxLayout="row">
        <span fxFlex="nogrow">{{ ('NAV.POSITIONS' | translate) }}</span>
        <span fxFlex="auto"></span>

        <div fxFlex="nogrow">
            <button mat-icon-button
                    #tooltip="matTooltip"
                    matTooltip="{{ ('NAV.MASS_MARKET_VALUE_UPDATE' | translate
                    ) + (hasPositions ? '' : (' +' + ('WARN.NO_POSITIONS' | translate)))}}"
                    routerLink="/positions/massupdate"
                    [disabled]="!hasPositions">
                    <mat-icon color="{{hasPositions ? 'primary' : 'warn'}}">checklist_rtl</mat-icon>
            </button>
            <button mat-icon-button
                    routerLink="/positions/new">
                <mat-icon>add</mat-icon>
            </button>
        </div>
    </mat-toolbar>
    <div class="mt-4 mx-2">
        <app-position-list (positionsChanged)="onPositionsChanged($event)">
        </app-position-list>
    </div>
</div>